
%if 0%{?fedora}
%define printer_applet 1
%endif

Name:           kdeutils
Epoch:          6
Version:        4.5.2
Release:        1%{?dist}
Summary:        KDE Utilities

Group:          Applications/System
# FIXME/TODO: Check license
License:        GPLv2
URL:            http://www.kde.org
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# add support for automatic printer driver installation (Tim Waugh, #576660)
Patch0:         kdeutils-4.4.1-printer-applet-InstallPrinterDrivers.patch

## upstream patches

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

# FIXME/TODO: Tpctl is needed for klaptopdaemon
BuildRequires:  desktop-file-utils
BuildRequires:  kdebase-devel >= %{version}
BuildRequires:  kdebase-workspace-devel >= %{version}
BuildRequires:  kdepimlibs-devel >= %{version}
BuildRequires:  plasma-devel >= %{version}
BuildRequires:  gmp-devel
BuildRequires:  libarchive-devel
BuildRequires:  libzip-devel
BuildRequires:  python-devel python
BuildRequires:  qca2-devel
BuildRequires:  qimageblitz-devel
# need only for ark unit tests
#BuildRequires:  qjson-devel
BuildRequires:  xz-devel

%if ! 0%{?printer_applet}
Obsoletes: %{name}-printer-applet < %{epoch}:%{version}-%{release}
%endif

# multilib
Obsoletes: kdeutils < 6:4.3.0-2

Requires: %{name}-libs%{?_isa} = %{epoch}:%{version}-%{release}
Requires: %{name}-minimal = %{epoch}:%{version}-%{release}

%description
Utilities for KDE 4.
Includes:
  * kcharselect: character selector
  * kfloppy: floppy formatting tool
  * okteta: binary/hex editor
  * superkaramba
  * sweeper: clean unwanted traces the user leaves on the system

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs4%{?_isa} >= %{version}
%description libs
%{summary}.

%package minimal
Summary: Minimal set of KDE Utilities
Group:   Applications/System
Requires: %{name}-minimal-libs%{?_isa} = %{epoch}:%{version}-%{release}
# when -minimal split occurred
Conflicts: kdeutils < 6:4.5.0-2
%description minimal
Minimal set of utilites for KDE 4.
Includes:
  * ark: tar/gzip archive manager
  * kcalc: scientific calculator
  * kdf: view disk usage
  * kgpg: gpg gui
  * ktimer: task scheduler
  * kwalletmanager: kde wallet management tool

%package minimal-libs
Summary: Runtime libraries for %{name}-minimal
Group:   System Environment/Libraries
Requires: %{name}-minimal = %{epoch}:%{version}-%{release}
Requires: kdelibs4%{?_isa} >= %{version}
%description minimal-libs
%{summary}.

%package printer-applet
Summary:  KDE printer applet
Group:    Applications/System
Requires: PyKDE4
Requires: dbus-python
Requires: hal-cups-utils
Requires: system-config-printer-libs
%description printer-applet
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Development files for %{name} 
Requires: %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.


%prep
%setup -q -n kdeutils-%{version}
%if 0%{?fedora} > 12
%patch0 -p1 -b .InstallPrinterDrivers
%endif


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  %{?printer_applet:-DINSTALL_PRINTER_APPLET=TRUE} \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

## unpackaged files 
rm -fv %{buildroot}%{_kde4_libdir}/libk{delirc_shared,erfuffle,milo}.so
rm -fv %{buildroot}%{_kde4_libdir}/lib{libkremotecontrol,superkaramba}.so


%check
## FIXME: /builddir/build/BUILDROOT/kdeutils-4.5.1-1.fc15.i386/usr/share/applications/kde4/ark.desktop: error: (will be fatal in the future): value "Compression" in key "Categories" in group "Desktop Entry" requires another category to be present among the following categories: Utility;Archiving
# a bug in the validator?  Utility category is already present, only shuts up
# if one adds Archiving category, which actually fits here.  -- Rex
for f in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
  desktop-file-validate $f
done


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post minimal
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%posttrans minimal
update-desktop-database -q &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime &> /dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%postun minimal
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
  update-mime-database %{_kde4_datadir}/mime &> /dev/null
fi

%post minimal-libs -p /sbin/ldconfig

%postun minimal-libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_kde4_bindir}/kcharselect
%{_kde4_bindir}/kfloppy
%{_kde4_bindir}/krcdnotifieritem
%{_kde4_bindir}/okteta
%{_kde4_bindir}/superkaramba
%{_kde4_bindir}/sweeper
%{_kde4_appsdir}/kcharselect/
%{_kde4_appsdir}/kconf_update/kcharselect.upd
%{_kde4_appsdir}/kremotecontrol/
%{_kde4_appsdir}/kremotecontroldaemon/
%{_kde4_appsdir}/okteta/
%{_kde4_appsdir}/oktetapart/
%{_kde4_appsdir}/superkaramba/
%{_kde4_appsdir}/sweeper/
%{_kde4_configdir}/okteta-structures.knsrc
%{_kde4_configdir}/superkaramba.knsrc
%{_datadir}/dbus-1/interfaces/org.kde.sweeper.xml
%{_datadir}/dbus-1/interfaces/org.kde.superkaramba.xml
%{_kde4_datadir}/applications/kde4/KCharSelect.desktop
%{_kde4_datadir}/applications/kde4/KFloppy.desktop
%{_kde4_datadir}/applications/kde4/krcdnotifieritem.desktop
%{_kde4_datadir}/applications/kde4/okteta.desktop
%{_kde4_datadir}/applications/kde4/superkaramba.desktop
%{_kde4_datadir}/applications/kde4/sweeper.desktop
%{_kde4_datadir}/kde4/services/oktetapart.desktop
%{_kde4_datadir}/kde4/services/plasma-engine-kremotecontrol.desktop
%{_kde4_datadir}/kde4/services/plasma-package-superkaramba.desktop
%{_kde4_datadir}/kde4/services/plasma-scriptengine-superkaramba.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/encryptfile.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/encryptfolder.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/viewdecrypted.desktop
%{_kde4_datadir}/kde4/services/kbytearrayedit.desktop
%{_kde4_datadir}/kde4/services/kcm_remotecontrol.desktop
%{_kde4_datadir}/kde4/services/kded/kremotecontroldaemon.desktop
%{_kde4_datadir}/mime/packages/okteta.xml
%{_kde4_iconsdir}/hicolor/*/apps/kfloppy.*
%{_kde4_iconsdir}/hicolor/*/*/krcd*.*
%{_kde4_iconsdir}/hicolor/*/apps/ktimer.*
%{_kde4_iconsdir}/hicolor/*/apps/okteta.*
%{_kde4_iconsdir}/hicolor/*/apps/superkaramba.*
%{_kde4_iconsdir}/hicolor/*/devices/infrared-remote.*
%{_kde4_libdir}/kde4/kcm_remotecontrol.so
%{_kde4_libdir}/kde4/kded_kremotecontroldaemon.so
%{_kde4_libdir}/kde4/libkbytearrayedit.so
%{_kde4_libdir}/kde4/oktetapart.so
%{_kde4_libdir}/kde4/plasma_engine_kremoteconrol.so
%{_kde4_libdir}/kde4/plasma_package_superkaramba.so
%{_kde4_libdir}/kde4/plasma_scriptengine_superkaramba.so
%{_kde4_docdir}/HTML/en/kcharselect/
%{_kde4_docdir}/HTML/en/kcontrol/blockdevices/
%{_kde4_docdir}/HTML/en/kcontrol/kremotecontrol/
%{_kde4_docdir}/HTML/en/kfloppy/
%{_kde4_docdir}/HTML/en/okteta/
%{_kde4_docdir}/HTML/en/sweeper/

%files minimal
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_kde4_bindir}/ark
%{_kde4_bindir}/kcalc
%{_kde4_bindir}/kdf
%{_kde4_bindir}/kgpg
%{_kde4_bindir}/ktimer
%{_kde4_bindir}/kwalletmanager
%{_kde4_bindir}/kwikdisk
%{_kde4_appsdir}/ark/
%{_kde4_appsdir}/kcalc/
%{_kde4_appsdir}/kconf_update/kcalcrc.upd
%{_kde4_appsdir}/kdf/
%{_kde4_appsdir}/kgpg/
%{_kde4_appsdir}/kwalletmanager/
%{_datadir}/dbus-1/interfaces/org.kde.kgpg.*.xml
%{_kde4_datadir}/config.kcfg/ark.kcfg
%{_kde4_datadir}/config.kcfg/kcalc.kcfg
%{_kde4_datadir}/config.kcfg/kgpg.kcfg
%{_kde4_datadir}/config.kcfg/structviewpreferences.kcfg
%{_kde4_datadir}/autostart/kgpg.desktop
%{_kde4_docdir}/HTML/en/ark
%{_kde4_docdir}/HTML/en/kcalc
%{_kde4_docdir}/HTML/en/kdf
%{_kde4_docdir}/HTML/en/kgpg
%{_kde4_docdir}/HTML/en/ktimer
%{_kde4_docdir}/HTML/en/kwallet
%{_kde4_iconsdir}/hicolor/*/apps/kdf.*
%{_kde4_iconsdir}/hicolor/*/apps/kgpg.*
%{_kde4_iconsdir}/hicolor/*/apps/kwalletmanager*.*
%{_kde4_iconsdir}/hicolor/*/apps/kwikdisk.*
%{_kde4_iconsdir}/oxygen/*/apps/kcmdf.*
%{_kde4_datadir}/kde4/services/ark*.desktop
%{_kde4_datadir}/kde4/services/kcmdf*.desktop
%{_kde4_datadir}/kde4/services/kerfuffle*.desktop
%{_kde4_datadir}/kde4/services/kwallet*.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/ark*.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/encryptfile.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/encryptfolder.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/viewdecrypted.desktop
%{_kde4_datadir}/kde4/servicetypes/*desktop
%{_kde4_datadir}/applications/kde4/ark.desktop
%{_kde4_datadir}/applications/kde4/kcalc.desktop
%{_kde4_datadir}/applications/kde4/kgpg.desktop
%{_kde4_datadir}/applications/kde4/ktimer.desktop
%{_kde4_datadir}/applications/kde4/kwalletmanager*.desktop
%{_kde4_datadir}/applications/kde4/kwikdisk.desktop
%{_kde4_datadir}/applications/kde4/kdf.desktop
%{_kde4_libdir}/kde4/arkpart.so
%{_kde4_libdir}/kde4/kcm_kdf.so
%{_kde4_libdir}/kde4/kcm_kwallet.so
%{_kde4_libdir}/libkdeinit4_kcalc.so
%{_kde4_libdir}/kde4/kerfuffle*.so
%{_kde4_libdir}/kde4/libextracthere.so
%{_mandir}/man1/*

%files minimal-libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libkerfuffle.so.4*

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libkastencontrollers.so.4*
%{_kde4_libdir}/libkastencore.so.4*
%{_kde4_libdir}/libkastengui.so.4*
%{_kde4_libdir}/liblibkremotecontrol.so.1*
%{_kde4_libdir}/liboktetacore.so.4*
%{_kde4_libdir}/liboktetagui.so.4*
%{_kde4_libdir}/liboktetakastencontrollers.so.4*
%{_kde4_libdir}/liboktetakastencore.so.4*
%{_kde4_libdir}/liboktetakastengui.so.4*
%{_kde4_libdir}/libsuperkaramba.so.4*
%{_kde4_libdir}/kde4/plugins/designer/oktetadesignerplugin.so

%if 0%{?printer_applet}
%files printer-applet
%defattr(-,root,root,-)
%{_kde4_bindir}/printer-applet
%{_kde4_datadir}/autostart/printer-applet.desktop
%{_kde4_appsdir}/printer-applet/
%{_kde4_docdir}/HTML/en/printer-applet/
%endif

%files devel
%{_kde4_includedir}/kasten/
%{_kde4_includedir}/okteta/
%{_kde4_includedir}/KDE/Kasten/
%{_kde4_includedir}/KDE/Okteta/
%{_kde4_libdir}/libkasten*.so
%{_kde4_libdir}/libokteta*.so


%changelog
* Sat Oct 02 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.5.2-1
- 4.5.2

* Tue Sep 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.5.1-2
- -minimal: Conflicts: kdeutils < 6:4.5.0-2

* Sat Aug 28 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.5.1-1
- 4.5.1

* Mon Aug 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.5.0-2
- -minimal subpkg (#624138)

* Thu Aug 05 2010 Than Ngo <than@redhat.com> - 6:4.5.0-1
- 4.5.0

* Sat Jul 25 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.95-1
- 4.5 RC3 (4.4.95)

* Wed Jul 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.92-1
- 4.5 RC2 (4.4.92)

* Fri Jun 25 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.4.90-1
- 4.5 RC1 (4.4.90)

* Mon Jun 07 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.4.85-1
- 4.5 Beta 2 (4.4.85)

* Tue May 25 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.80-2
- drop oldish Obsoletes 
- cleanup %%description , probably could use more love

* Fri May 21 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.4.80-1
- 4.5 Beta 1 (4.4.80)
- -devel subpkg

* Fri Apr 30 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.4.3-1
- 4.4.3

* Sat Apr 03 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 6:4.4.2-1.1
- use the xz and lzma formats only if compiled in libarchive (upstream patch)
- fix build with old libarchive w/o archive_write_set_*_lzma (upstream patch)

* Mon Mar 29 2010 Lukas Tinkl <ltinkl@redhat.com> - 6:4.4.2-1
- 4.4.2

* Thu Mar 25 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.1-3
- BR: kdebase-devel
- drop old pykde4 patch

* Wed Mar 24 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 6:4.4.1-2
- -printer-applet: add support for automatic printer driver installation
                   (Tim Waugh, #576660, F13+)
- -printer-applet: add missing Requires: dbus-python
- remove obsolete F10- upgrade path Requires for -printer-applet

* Sat Feb 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.1-1
- 4.4.1

* Fri Feb 05 2010 Than Ngo <than@redhat.com> - 6:4.4.0-1
- 4.4.0

* Sun Jan 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.98-1
- KDE 4.3.98 (4.4rc3)

* Thu Jan 21 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.3.95-1
- KDE 4.3.95 (4.4rc2)

* Wed Jan 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-1
- kde-4.3.90 (4.4rc1)

* Fri Dec 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.85-1
- kde-4.3.85 (4.4beta2)

* Wed Dec 16 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.3.80-3
- Repositioning the KDE Brand (#547361)

* Fri Dec 11 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.80-2
- BR: xz-devel

* Tue Dec  1 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.3.80-1
- KDE 4.4 beta1 (4.3.80)

* Tue Nov 24 2009 Ben Boeckel <MathStuf@gmail.com> - 4.3.75-0.2.svn1048496
- Add BR on kdebase-workspace for irkick

* Sun Nov 22 2009 Ben Boeckel <MathStuf@gmail.com> - 4.3.75-0.1.svn1048496
- Update to 4.3.75 snapshot

* Fri Nov 13 2009 Than Ngo <than@redhat.com> - 4.3.3-2
- rhel cleanup, Fix conditional for RHEL

* Sat Oct 31 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-1
- 4.3.3

* Mon Oct 05 2009 Than Ngo <than@redhat.com> - 4.3.2-1
- 4.3.2

* Fri Aug 28 2009 Than Ngo <than@redhat.com> - 4.3.1-1
- 4.3.1

* Sun Aug 02 2009 Rex Dieter <rdieter@fedoraproject.org> - 6:4.3.0-3
- include epoch's in -libs-related Requires

* Sat Aug 01 2009 Rex Dieter <rdieter@fedoraproject.org> - 6:4.3.0-2
- -libs subpkg reborn: Multilib conflicts for index.cache.bz2 (#515087)
- %%check: desktop-file-validate

* Thu Jul 30 2009 Than Ngo <than@redhat.com> - 6:4.3.0-1
- 4.3.0

* Wed Jul 22 2009 Than Ngo <than@redhat.com> - 4.2.98-1
- 4.3rc3

* Mon Jul 13 2009 Than Ngo <than@redhat.com> - 4.2.96-1
- 4.3rc2

* Fri Jun 26 2009 Than Ngo <than@redhat.com> - 4.2.95-1
- 4.3rc1

* Wed Jun 03 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.90-1
- KDE-4.3 beta2 (4.2.90)
- Add support for PackageKit service packs (#504136)

* Wed May 20 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.85-3
- remove F9 kjots hack

* Wed May 20 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.85-2
- reenable printer-applet

* Thu May 14 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.85-1
- KDE 4.3 beta 1

* Thu Apr 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.2-4
- revert -printer-applet dep changes (and drop for f11+)

* Wed Apr 15 2009 Than Ngo <than@redhat.com> - 4.2.2-3
- drop the BR on PyKDE4, system-config-printer-libs
  it's just needed for runtime
- fix kdeutils-printer-applet dependency
- apply upstream patch to fix several issues in ark

* Wed Apr 01 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.2-2
- optimize scriptlets

* Tue Mar 31 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.2-1
- KDE 4.2.2

* Sat Mar 14 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.1-3.2
- also drag in the printer-applet on F9

* Sat Mar 14 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.1-3.1
- also build printer-applet on F9, but don't drag it in by default

* Fri Mar 06 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-3
- *really* make a -printer-applet subpkg

* Fri Mar 06 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-2
- -printer-applet subpkg
- cleanup unused -libs/-devel crud

* Fri Feb 27 2009 Than Ngo <than@redhat.com> - 4.2.1-1
- 4.2.1

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6:4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 Than Ngo <than@redhat.com> - 4.2.0-1
- 4.2.0

* Wed Jan 14 2009 Rex Dieter <rdieter@fedoraproject.org> 4.1.96-2
- (Build)Req: system-config-printer-libs

* Wed Jan 07 2009 Than Ngo <than@redhat.com> - 4.1.96-1
- 4.2rc1

* Fri Dec 12 2008 Than Ngo <than@redhat.com> 4.1.85-1
- 4.2beta2

* Mon Dec 08 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.80-5
- BR: PyKDE4-devel >= %%version (vs previously unversioned BR)

* Mon Dec 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-4
- rebuild for Python 2.6

* Mon Dec 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-3
- BR plasma-devel instead of kdebase-workspace-devel

* Thu Nov 20 2008 Than Ngo <than@redhat.com> 4.1.80-2
- merged

* Thu Nov 20 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 6:4.1.80-1
- 4.1.80
- BR cmake >= 2.6.2
- make install/fast

* Wed Nov 12 2008 Than Ngo <than@redhat.com> 4.1.3-1
- 4.1.3

* Mon Sep 29 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-3
- make VERBOSE=1
- respin against new(er) kde-filesystem

* Sun Sep 28 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-2
- (re)add unpackaged HTML/en/kcontrol/ files

* Fri Sep 26 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-1
- 4.1.2

* Fri Aug 29 2008 Than Ngo <than@redhat.com> 4.1.1-1
- 4.1.1

* Tue Jul 29 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.0-1.1
- omit printer_applet from F-9 build

* Wed Jul 23 2008 Than Ngo <than@redhat.com> 4.1.0-1
- 4.1.0

* Mon Jul 21 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.99-1.1
- reinclude kjots on F9 (moved to kdepim in 4.1, we don't ship kdepim 4 in F9)

* Fri Jul 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-1
- 4.0.99

* Fri Jul 11 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-1
- 4.0.98

* Thu Jul 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-1
- 4.0.85

* Thu Jul 03 2008 Rex Dieter <rdieter@fedorproject.org> 4.0.84-2.1
- disable printer applet (for now, to avoid kdebindings/PyKDE4 deps madness)

* Thu Jul 03 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-2
- %%description: -kedit, -kjots, +kwalletmanager, +superkaramba, +sweeper

* Fri Jun 27 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-1
- 4.0.84

* Sat Jun 21 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.83-2
- add explicit dep on rhpl to work around missing dep in
  system-config-printer (#452575)

* Thu Jun 19 2008 Than Ngo <than@redhat.com> 4.0.83-1
- 4.0.83 (beta2)

* Sun Jun 15 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-1
- 4.0.82

* Mon May 26 2008 Than Ngo <than@redhat.com> 4.0.80-1
- 4.1 beta1

* Wed May 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-1
- update to 4.0.72
- Obsoletes/Provides: okteta, update file list and description for okteta
- remove .so symlinks which should not be in a non-devel package

* Fri Apr 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-4
- add BR libarchive-devel

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- rebuild for NDEBUG and _kde4_libexecdir

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Tue Feb 05 2008 Than Ngo <than@redhat.com> 4.0.1-2
- backport to fix the wrong signal name of a KSelectAction

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 6:4.0.1-1
- kde-4.0.1

* Wed Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 6:4.0.0-2
- drop Requires: %%name-libs (doesn't exist anymore)

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 6:4.0.0-1
- kde-4.0.0

* Fri Dec 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.97.0-3
- libs subpkg
- Obsoletes: -extras
- omit parallel-install symlink hack

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 6:3.97.0-2
- rebuild for changed _kde4_includedir

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.97.0-1
- kde-3.97.0

* Sat Dec 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.96.2-2
- kcalc_32bit patch

* Sat Dec 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.96.2-1
- kde-3.96.2

* Sat Nov 24 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.1-1
- kde-3.96.1
- added epoch in changelog (also backwards)

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-6
- BR: kde-filesystem >= 4

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-5
- BR: libXcomposite-devel
- BR: libXdamage-devel
- BR: libxkbfile-devel
- BR: libXv-devel
- BR: libXxf86misc-devel
- BR: libXScrnSaver-devel

* Fri Nov 16 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-4
- require /sbin/ldconfig xdg-utils on %%post and %%postun
- some small spec cleanups
- +BR: kde-filesystem
- +BR: kde4-macros(api)

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-3
- BR: libzip-devel
- added %%defattr to package devel

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-2
- re-added missing epoch (from kdeutils3)

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-1
- Initial version for Fedora
